%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Name:		rply
Version:	1.1.1
Release:	%mkrel 2
Summary:	A library to read and write PLY files
Group:		Development/Other
License:	MIT
URL:		http://www.tecgraf.puc-rio.br/~diego/professional/rply/
Source0:	http://www.tecgraf.puc-rio.br/~diego/professional/rply/%{name}-%{version}.tar.gz
Source1:	rply_CMakeLists.txt
Source2:	RPLYConfig.cmake.in
Source3:	rply_cmake_export_cmakelists.txt
BuildRequires:	cmake >= 2.6.0

%description
RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

RPly is easy to use, well documented, small, free, open-source, ANSI C, 
efficient, and well tested. The highlights are:

* A callback mechanism that makes PLY file input straightforward;
* Support for the full range of numeric formats;
* Binary (big and little endian) and text modes are fully supported;
* Input and output are buffered for efficiency;
* Available under the MIT license for added freedom. 

%package -n %{libname}
Summary:	A library to read and write PLY files
Group:		System/Libraries

%description -n %{libname}
RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Rply Library Header Files and Link Libraries.

%prep
%setup -q

iconv -f ISO8859-1 -t UTF-8 LICENSE > LICENSE.utf8
mv -f LICENSE.utf8 LICENSE

# Add CMakeLists.txt file
cp %{SOURCE1} CMakeLists.txt

# Add CMake detection modules
mkdir -p CMake/export
mkdir -p CMake/Modules

cp %{SOURCE2} CMake/Modules/
cp %{SOURCE3} CMake/export/CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE:STRING="Release"\
       -DCMAKE_VERBOSE_MAKEFILE=ON

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%doc manual/*
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 380441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 07 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 257063
- new version 1.1.1

* Tue Jul 05 2011 wally <wally> 1.01-1.mga2
+ Revision: 118986
- imported package rply

